<?php
/** Don't load directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'foxiz_register_options_login' ) ) {
	function foxiz_register_options_login() {
		return array(
			'id'     => 'foxiz_config_section_login_screen',
			'title'  => esc_html__( 'Login Screen', 'foxiz' ),
			'desc'   => esc_html__( 'Select option for the login screen page.', 'foxiz' ),
			'icon'   => 'el el-wordpress',
			'fields' => array(
				array(
					'id'     => 'section_start_login_screen',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Layout Settings', 'foxiz' ),
					'indent' => true
				),
				array(
					'id'       => 'login_screen_style',
					'title'    => esc_html__( 'Custom Login Screen', 'foxiz' ),
					'subtitle' => esc_html__( 'Enable or disable wp-login.php page style.', 'foxiz' ),
					'type'     => 'select',
					'options'  => array(
						'0' => esc_html__( '- Disable -', 'foxiz' ),
						'1' => esc_html__( 'Enable', 'foxiz' ),
					),
					'default'  => '0',

				),
				array(
					'id'       => 'login_screen_logo',
					'type'     => 'media',
					'url'      => true,
					'preview'  => true,
					'title'    => esc_html__( 'Login Logo', 'foxiz' ),
					'subtitle' => esc_html__( 'Upload your logo for the logo screen. This option will override on wordpress logo.', 'foxiz' ),
				),
				array(
					'id'       => 'logo_redirect',
					'type'     => 'text',
					'title'    => esc_html__( 'Logo Redirect URL', 'foxiz' ),
					'subtitle' => esc_html__( 'Redirect to this link when clicking on the logo. Leave this option blank to redirect to the homepage.', 'foxiz' ),
					'default'  => ''
				),
				array(
					'id'       => 'login_screen_bg',
					'type'     => 'background',
					'preview'  => true,
					'title'    => esc_html__( 'Login Screen Background', 'foxiz' ),
					'subtitle' => esc_html__( 'Upload your background for the logo screen.', 'foxiz' ),
					'default'  => array(
						'background-size'       => 'cover',
						'background-attachment' => 'fixed',
						'background-repeat'     => 'no-repeat',
						'background-position'   => 'center center'
					)
				),
				array(
					'id'          => 'login_color',
					'type'        => 'color',
					'transparent' => false,
					'title'       => esc_html__( 'Login Screen Color', 'foxiz' ),
					'subtitle'    => esc_html__( 'Select a color for the login screen.', 'foxiz' ),
					'default'     => ''
				),
				array(
					'id'     => 'section_end_login_screen',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				),
				array(
					'id'     => 'section_start_login_redirect',
					'type'   => 'section',
					'class'  => 'ruby-section-start',
					'title'  => esc_html__( 'Redirect Settings', 'foxiz' ),
					'indent' => true
				),
				array(
					'id'       => 'login_redirect',
					'type'     => 'text',
					'title'    => esc_html__( 'Redirect URL', 'foxiz' ),
					'subtitle' => esc_html__( 'Redirect to this link after login. Leave this option blank to set the default value.', 'foxiz' ),
					'default'  => ''
				),
				array(
					'id'       => 'logout_redirect',
					'type'     => 'text',
					'title'    => esc_html__( 'Logout Redirect URL', 'foxiz' ),
					'subtitle' => esc_html__( 'Redirect to this link after successful logout. Leave this option blank to set the default value.', 'foxiz' ),
					'default'  => ''
				),
				array(
					'id'       => 'remove_admin_bar',
					'type'     => 'switch',
					'title'    => esc_html__( 'Disable Admin Bar', 'foxiz' ),
					'subtitle' => esc_html__( 'Disable admin bar for all users except for Administrators', 'foxiz' ),
					'default'  => 1
				),
				array(
					'id'     => 'section_end_login_screen',
					'type'   => 'section',
					'class'  => 'ruby-section-end no-border',
					'indent' => false
				)
			)
		);
	}
}
