<?php
/** Don't load directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'foxiz_render_header_1' ) ) {
	function foxiz_render_header_1() {
		$settings  = foxiz_get_header_settings( 'hd1' );
		$classes   = array();
		$classes[] = 'header-wrap rb-section header-set-1 header-1';
		if ( ! empty( $settings['hd1_width'] ) ) {
			$classes[] = 'header-fw';
		}
		if ( ! empty( $settings['nav_style'] ) ) {
			$classes[] = 'style-' . $settings['nav_style'];
		} else {
			$classes[] = 'style-shadow';
		} ?>
		<header id="site-header" class="<?php echo join( ' ', $classes ); ?>">
			<?php foxiz_render_top_site();
			foxiz_reading_process_indicator();
			?>
			<div id="navbar-outer" class="navbar-outer">
				<div id="sticky-holder" class="sticky-holder">
					<div class="navbar-wrap">
						<div class="rb-container edge-padding">
							<div class="navbar-inner submenu-holder">
								<div class="navbar-left">
									<?php
									foxiz_render_logo( $settings );
									foxiz_render_main_menu( false, $settings['sub_scheme'] );
									foxiz_header_more( $settings );
									foxiz_single_sticky();
									?>
								</div>
								<div class="navbar-right">
									<?php foxiz_render_nav_right( $settings ); ?>
								</div>
							</div>
						</div>
					</div>
					<?php
					foxiz_header_mobile( $settings );
					foxiz_header_alert( $settings );
					?>
				</div>
			</div>
			<?php
			if ( is_active_sidebar( 'foxiz_header_ad' ) ) {
				dynamic_sidebar( 'foxiz_header_ad' );
			} ?>
		</header>
		<?php
	}
}

if ( ! function_exists( 'foxiz_render_header_2' ) ) {
	function foxiz_render_header_2() {
		$settings  = foxiz_get_header_settings( 'hd1' );
		$classes   = array();
		$classes[] = 'header-wrap rb-section header-set-1 header-2';
		if ( ! empty( $settings['hd1_width'] ) ) {
			$classes[] = 'header-fw';
		}
		if ( ! empty( $settings['nav_style'] ) ) {
			$classes[] = 'style-' . $settings['nav_style'];
		} else {
			$classes[] = 'style-shadow';
		}
		?>
		<header id="site-header" class="<?php echo join( ' ', $classes ); ?>">
			<?php foxiz_render_top_site();
			foxiz_reading_process_indicator();
			?>
			<div id="navbar-outer" class="navbar-outer">
				<div id="sticky-holder" class="sticky-holder">
					<div class="navbar-wrap">
						<div class="rb-container edge-padding">
							<div class="navbar-inner submenu-holder">
								<div class="navbar-left">
									<?php foxiz_render_logo( $settings ); ?>
								</div>
								<div class="navbar-center">
									<?php
									foxiz_render_main_menu( false, $settings['sub_scheme'] );
									foxiz_header_more( $settings );
									foxiz_single_sticky();
									?>
								</div>
								<div class="navbar-right">
									<?php foxiz_render_nav_right( $settings ); ?>
								</div>
							</div>
						</div>
					</div>
					<?php
					foxiz_header_mobile( $settings );
					foxiz_header_alert( $settings );
					?>
				</div>
			</div>
			<?php
			if ( is_active_sidebar( 'foxiz_header_ad' ) ) {
				dynamic_sidebar( 'foxiz_header_ad' );
			} ?>
		</header>
		<?php
	}
}

if ( ! function_exists( 'foxiz_render_header_3' ) ) {
	function foxiz_render_header_3() {
		$settings  = foxiz_get_header_settings( 'hd1' );
		$classes   = array();
		$classes[] = 'header-wrap rb-section header-set-1 header-3';
		if ( ! empty( $settings['hd1_width'] ) ) {
			$classes[] = 'header-fw';
		}
		if ( ! empty( $settings['nav_style'] ) ) {
			$classes[] = 'style-' . $settings['nav_style'];
		} else {
			$classes[] = 'style-shadow';
		}
		?>
		<header id="site-header" class="<?php echo join( ' ', $classes ); ?>">
			<?php foxiz_render_top_site();
			foxiz_reading_process_indicator();
			?>
			<div id="navbar-outer" class="navbar-outer">
				<div id="sticky-holder" class="sticky-holder">
					<div class="navbar-wrap">
						<div class="rb-container edge-padding">
							<div class="navbar-inner submenu-holder">
								<div class="navbar-left">
									<?php foxiz_render_logo( $settings ); ?>
								</div>
								<div class="navbar-center">
									<?php
									foxiz_render_main_menu( false, $settings['sub_scheme'] );
									foxiz_header_more( $settings );
									foxiz_single_sticky();
									?>
								</div>
								<div class="navbar-right">
									<?php foxiz_render_nav_right( $settings ); ?>
								</div>
							</div>
						</div>
					</div>
					<?php
					foxiz_header_mobile( $settings );
					foxiz_header_alert( $settings );
					?>
				</div>
			</div>
			<?php
			if ( is_active_sidebar( 'foxiz_header_ad' ) ) {
				dynamic_sidebar( 'foxiz_header_ad' );
			} ?>
		</header>
		<?php
	}
}

if ( ! function_exists( 'foxiz_render_header_4' ) ) {
	function foxiz_render_header_4() {
		$settings  = foxiz_get_header_settings( 'hd4' );
		$classes   = array();
		$classes[] = 'header-wrap rb-section header-4';
		if ( ! empty( $settings['nav_style'] ) ) {
			$classes[] = 'style-' . $settings['nav_style'];
		} else {
			$classes[] = 'style-border';
		} ?>
		<header id="site-header" class="<?php echo join( ' ', $classes ); ?>">
		<?php
		foxiz_render_top_site();
		foxiz_reading_process_indicator();
		?>
		<div class="logo-section">
			<div class="logo-section-inner rb-container edge-padding">
				<div class="logo-section-left"><?php foxiz_render_logo( $settings ); ?></div>
				<div class="logo-section-right">
					<?php
					if ( ! empty( $settings['header_socials'] ) ) {
						foxiz_header_socials( $settings );
					}
					if ( ! empty( $settings['header_search_icon'] ) ) {
						$settings['header_search_heading'] = '';
						foxiz_header_search_form( $settings );
					}
				?>
				</div>
			</div>
		</div>
		<div id="navbar-outer" class="navbar-outer">
			<div id="sticky-holder" class="sticky-holder">
				<div class="navbar-wrap">
					<div class="rb-container edge-padding">
						<div class="navbar-inner submenu-holder">
							<div class="navbar-left">
								<?php
								foxiz_render_main_menu( false, $settings['sub_scheme'] );
								foxiz_header_more( $settings );
								foxiz_single_sticky();
								?>
							</div>
							<div class="navbar-right">
								<?php
								if ( ! empty( $settings['header_login_icon'] ) ) {
									foxiz_header_user( $settings );
								}
								foxiz_header_mini_cart();
								if ( ! empty( $settings['header_notification'] ) ) {
									foxiz_header_notification( $settings );
								}
								if ( ! empty( $settings['single_font_resizer'] ) ) {
									foxiz_header_font_resizer();
								}
								foxiz_dark_mode_switcher( $settings );
								?>
							</div>
						</div>
					</div>
				</div>
				<?php
				foxiz_header_mobile( $settings );
				foxiz_header_alert( $settings );
				?>
			</div>
		</div>
		<?php
		if ( is_active_sidebar( 'foxiz_header_ad' ) ) {
			dynamic_sidebar( 'foxiz_header_ad' );
		} ?>
		</header>
		<?php
	}
}

if ( ! function_exists( 'foxiz_render_header_5' ) ) {
	function foxiz_render_header_5() {
		$settings  = foxiz_get_header_settings( 'hd5' );
		$classes   = array();
		$classes[] = 'header-wrap rb-section header-5';
		if ( ! empty( $settings['hd5_width'] ) ) {
			$classes[] = 'header-fw';
		}
		if ( ! empty( $settings['nav_style'] ) ) {
			$classes[] = 'style-' . $settings['nav_style'];
		}
		?>
		<header id="site-header" class="<?php echo join( ' ', $classes ); ?>">
			<?php
			foxiz_render_top_site();
			foxiz_reading_process_indicator();
			?>
			<div class="logo-section">
				<div class="logo-section-inner rb-container edge-padding">
					<div class="logo-section-left">
						<?php
						if ( ! empty( $settings['header_login_icon'] ) ) {
							foxiz_header_user( $settings );
						}
						if ( ! empty( $settings['header_socials'] ) ) {
							foxiz_header_socials( $settings );
						}
						?>
					</div>
					<div class="logo-section-center"><?php foxiz_render_logo( $settings ); ?></div>
					<div class="logo-section-right">
						<div class="navbar-right">
							<?php
							foxiz_header_mini_cart();
							if ( ! empty( $settings['header_notification'] ) ) {
								foxiz_header_notification( $settings );
							}
							if ( ! empty( $settings['header_search_icon'] ) ) {
								$settings['header_search_mode'] = 'search';
								foxiz_header_search( $settings );
							}
							if ( ! empty( $settings['single_font_resizer'] ) ) {
								foxiz_header_font_resizer();
							}
							foxiz_dark_mode_switcher( $settings );
							?>
						</div>
					</div>
				</div>
			</div>
			<div id="navbar-outer" class="navbar-outer">
				<div id="sticky-holder" class="sticky-holder">
					<div class="navbar-wrap">
						<div class="rb-container edge-padding">
							<div class="navbar-inner submenu-holder">
								<div class="navbar-center">
									<?php
									foxiz_render_main_menu( false, $settings['sub_scheme'] );
									foxiz_header_more( $settings );
									foxiz_single_sticky();
									?>
								</div>
							</div>
						</div>
					</div>
					<?php
					foxiz_header_mobile( $settings );
					foxiz_header_alert( $settings );
					?>
				</div>
			</div>
			<?php
			if ( is_active_sidebar( 'foxiz_header_ad' ) ) {
				dynamic_sidebar( 'foxiz_header_ad' );
			} ?>
		</header>
		<?php
	}
}